# Sync Groups From FAS to Pagure

Toddler for synchronizing FAS groups with Pagure groups was created from https://pagure.io/pagure-utility/blob/master/f/sync_fas_group_membership.py script. It is triggered either by group membership messages or by `toddlers.trigger` message.

In case of group membership message it works as following:

1. Check if we care about the group (it's in configuration for toddler)
1. Add member from group (currently there is no message about user being removed from group)

In case of `toddlers.trigger` message it compares all the groups in configuration
and remove/add users to pagure group based on the changes in FAS.

## Accepted topics

The sync toddler accepts following topics.

* `org.fedoraproject.*.ipa.group_add_member.v1` - New member added to group
* `org.fedoraproject.*.toddlers.trigger.pagure_fas_groups_sync` - Message triggered by toddlers cron
