# SCM Request Processor

SCM Request processor is toddler created from https://pagure.io/fedscm-admin/ script. It process tickets on https://pagure.io/releng/fedora-scm-requests/ , validates them and creates the branch or repository if everything is OK.

## Accepted topics

The SCM Request processor accepts few topics emitted by pagure. These topics allows it to process any newly created ticket or react to any ticket that is updated or commented on.

* org.fedoraproject.*.pagure.issue.new - New issue on pagure created
* org.fedoraporject.*.pagure.issue.comment.added - New comment is added to issue

## Supported commands
The SCM Request processor now supports few commands that could be invoked by sending comment
addressed to bot user (releng-bot) in issue opened on https://pagure.io/releng/fedora-scm-requests/

Supported commands:

* help - prints help for commands
* retry - retries the failed request
* valid - validate the request as authorized user

## Flowchart diagram

[Flowchart diagram](./scm_request_processor.png) illustrates the code flow of the SCM Request Processor, what is being validated and what reaction is done if the validation fails.
