import importlib
import os


__all__ = []  # fill below

here = os.path.abspath(os.path.dirname(__file__))
for name in os.listdir(here):
    if name.endswith(".py") and not name.startswith("__"):
        name = name[:-3]
        importlib.import_module(f".{name}", package=__name__)
        __all__.append(name)
